Amazon Linux 2:rpm (ALAS-2021-1689)

high Nessus 插件 ID 151796

语言:

全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Amazon Linux 2 主机缺少安全更新。

描述

远程主机上安装的 rpm 版本低于 4.11.3-40。因此,如公告 ALAS2-2021-1689 所述,该主机受到多个漏洞的影响。

- 读取程序包文件时,在 RPM 的签名检查功能中发现一个缺陷。能够诱使受害者安装似乎可验证程序包(其签名标头已修改)的攻击者可利用此缺陷,造成 RPM 数据库损坏并执行代码。此漏洞对数据完整性、机密性和系统可用性威胁最大。(CVE-2021-20271)

- 在 RPM 程序包的读取功能中发现一个缺陷。能够诱使受害者安装似乎可验证程序包或破坏 RPM 存储库的攻击者可利用此缺陷,造成 RPM 数据库损坏。此漏洞最主要的威胁对象是数据完整性。此缺陷影响 RPM 4.17.0-alpha 之前的版本。(CVE-2021-3421)

请注意,Nessus 尚未测试此问题,而是只依赖于应用程序自我报告的版本号。

解决方案

请运行“yum update rpm”更新系统。

另见

https://alas.aws.amazon.com/AL2/ALAS-2021-1689.html

https://access.redhat.com/security/cve/CVE-2021-20271

https://access.redhat.com/security/cve/CVE-2021-3421

插件详情

严重性: High

ID: 151796

文件名: al2_ALAS-2021-1689.nasl

版本: 1.2

类型: local

代理: unix

发布时间: 2021/7/16

最近更新时间: 2021/7/16

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2021-20271

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: Medium

基本分数: 5.1

时间分数: 3.8

矢量: AV:N/AC:H/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: High

基本分数: 7

时间分数: 6.1

矢量: CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:amazon:linux:python2-rpm, p-cpe:/a:amazon:linux:python3-rpm, p-cpe:/a:amazon:linux:rpm, p-cpe:/a:amazon:linux:rpm-apidocs, p-cpe:/a:amazon:linux:rpm-build, p-cpe:/a:amazon:linux:rpm-build-libs, p-cpe:/a:amazon:linux:rpm-cron, p-cpe:/a:amazon:linux:rpm-debuginfo, p-cpe:/a:amazon:linux:rpm-devel, p-cpe:/a:amazon:linux:rpm-libs, p-cpe:/a:amazon:linux:rpm-plugin-systemd-inhibit, p-cpe:/a:amazon:linux:rpm-sign, cpe:/o:amazon:linux:2

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

易利用性: No known exploits are available

补丁发布日期: 2021/7/14

漏洞发布日期: 2021/3/22

参考资料信息

CVE: CVE-2021-3421, CVE-2021-20271

ALAS: 2021-1689